summaryrefslogtreecommitdiff
path: root/Makefile
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2012-01-03 14:52:20 -0400
committerGravatar Joey Hess <joey@kitenet.net>2012-01-03 14:52:20 -0400
commit7e6a54f98422bf0bab1d1aad5980df3e60220ff8 (patch)
tree29a95b672f42f329f7d68a0b6096495741f37cff /Makefile
parent6b7ee8486d00d4e067257d57c574b371f8e4e3d0 (diff)
Added quickcheck to build dependencies, and fail if test suite cannot be built.
Diffstat (limited to 'Makefile')
-rw-r--r--Makefile11
1 files changed, 5 insertions, 6 deletions
diff --git a/Makefile b/Makefile
index cda8fed6b..6805f93d2 100644
--- a/Makefile
+++ b/Makefile
@@ -66,12 +66,11 @@ install: all
test:
@if ! $(GHCMAKE) -O0 test; then \
- echo "** not running test suite" >&2; \
- else \
- if ! ./test; then \
- echo "** test suite failed!" >&2; \
- exit 1; \
- fi; \
+ echo "** failed to build the test suite" >&2; \
+ exit 1; \
+ elif ! ./test; then \
+ echo "** test suite failed!" >&2; \
+ exit 1; \
fi
testcoverage: